# ShipVehicleInfo Struct Reference

## Data Fields
byte | image_index
byte | cost_factor
uint16 | max_speed
| Maximum speed (1 unit = 1/3.2 mph = 0.5 km-ish/h).
uint16 | capacity
byte | running_cost
SoundID | sfx
bool | old_refittable
| Is ship refittable; only used during initialisation. Later use EngineInfo::refit_mask.
byte | visual_effect
| Bitstuffed NewGRF visual effect data.

## Detailed Description

Definition at line 62 of file engine_type.h.

The documentation for this struct was generated from the following file:

- src/engine_type.h